Name:          openexr
Version:       3.1.2
Release:       1mamba
Summary:       A high dynamic-range (HDR) image file format for use in computer imaging applications.
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openexr.com/
Source:        https://github.com/AcademySoftwareFoundation/openexr.git/v%{version}/openexr-%{version}.tar.bz2
Patch0:        %{name}-1.6.1-gcc43.patch
Patch1:        %{name}-1.7.0-gcc45.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libimath-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libimath-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      OpenEXR

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial Light & Magic for use in computer imaging applications. 
OpenEXR is used by ILM on all motion pictures currently in production. The first movies to employ OpenEXR were Harry Potter and the Sorcerers Stone, Men in Black II, Gangs of New York, and Signs. Since then, OpenEXR has become ILM's main image file format. 

%package -n lib%{name}
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Obsoletes:     libOpenEXR < 3.0.1
Provides:      libOpenEXR

%description -n lib%{name}
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial Light & Magic for use in computer imaging applications. 
OpenEXR is used by ILM on all motion pictures currently in production. The first movies to employ OpenEXR were Harry Potter and the Sorcerers Stone, Men in Black II, Gangs of New York, and Signs. Since then, OpenEXR has become ILM's main image file format. 

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libilmbase-devel
Obsoletes:     libilmbase-devel < 3.0.1
Provides:      libOpenEXR-devel
Obsoletes:     libOpenEXR-devel < 3.0.1

%description -n lib%{name}-devel
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial Light & Magic for use in computer imaging applications. 
OpenEXR is used by ILM on all motion pictures currently in production. The first movies to employ OpenEXR were Harry Potter and the Sorcerers Stone, Men in Black II, Gangs of New York, and Signs. Since then, OpenEXR has become ILM's main image file format. 
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n openexr-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libIex-*.so.*
%{_libdir}/libIlmThread-*.so.*
%{_libdir}/libOpenEXR-*.so.*
%{_libdir}/libOpenEXRCore-*.so.*
%{_libdir}/libOpenEXRUtil-*.so.*
%doc LICENSE.md

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/OpenEXR
%{_includedir}/OpenEXR/*.h
%{_libdir}/libIex-*.so
%{_libdir}/libIex.so
%{_libdir}/libIlmThread-*.so
%{_libdir}/libIlmThread.so
%{_libdir}/libOpenEXR-*.so
%{_libdir}/libOpenEXR.so
%{_libdir}/libOpenEXRCore-*.so
%{_libdir}/libOpenEXRCore.so
%{_libdir}/libOpenEXRUtil-*.so
%{_libdir}/libOpenEXRUtil.so
%dir %{_libdir}/cmake/OpenEXR
%{_libdir}/cmake/OpenEXR/OpenEXR*.cmake
%{_libdir}/pkgconfig/OpenEXR.pc
%dir %{_datadir}/doc/OpenEXR
%{_datadir}/doc/OpenEXR/*
%doc README.md

%changelog
* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 2.5.5-1mamba
- automatic version update by autodist

* Mon Jan 04 2021 Automatic Build System <autodist@mambasoft.it> 2.5.4-1mamba
- automatic version update by autodist

* Mon Aug 17 2020 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Mon May 18 2020 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Sat Apr 25 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-2mamba
- libopenexr-devel: provide/obsolete libilmbase-devel

* Mon Mar 30 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.4.1-1mamba
- update to 2.4.1

* Tue Sep 04 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- update to 2.3.0

* Mon Dec 18 2017 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic update by autodist

* Wed Oct 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0

* Sun Dec 27 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-3mamba
- rebuilt

* Sat Dec 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- rebuilt with libilmbase 2.1.0

* Sat Nov 30 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic update by autodist

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-3mamba
- added --enable-namespaceversioning=no to disable namespace versioning
- rebuild against libilmbase 2.0.1-3mamba after disabling library namespace versioning

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-2mamba
- rebuilt to fix header/sources mismatch (fixes blender build)

* Thu Jul 11 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- update to 1.7.1

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic update by autodist

* Thu Sep 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-2mamba
- libOpenEXR-devel: added requirement for libilmbase-devel

* Wed Jun 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Sat Nov 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-2mamba
- obsolete libOpenEXR

* Tue Jan 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0a-1qilnx
- update to version 1.4.0a by autospec

* Mon Apr 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.2.2-2qilnx
- specfile fixed and updated

* Tue Feb 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1qilnx
- update to version 1.2.2 by autospec

* Sun Sep 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1qilnx
- package created by autospec
